package com.jeethink.receive.mapper;

import com.jeethink.receive.domain.ArchivesFile;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

public interface ArchivesFileMapper {


    List<ArchivesFile> selectArchivesFileList(String archivesId);

    void removeByArchivesId(String archivesId);

    void insertArchivesFile(ArchivesFile archivesFile);

    String selectArchiveFileId(@Param("userNumber") String userNumber, @Param("type") String type);

    List<HashMap> selectArchivesFileById(String archivesId);
}
